var $t = jQuery.noConflict(); 
var indice_lineas = [];
var lineas = [];
var cantidad = 0; 

$t(document).ready(function(){

    $t('.selector').change(function(){
		
        var idArticulo = $t(this).attr('id');
        var posicion = idArticulo.indexOf('|');
        var uposicion = idArticulo.lastIndexOf ('|');
        var codArticulo = idArticulo.substring(2,posicion );
        var codReferencia = idArticulo.substring(posicion+1,uposicion);
        var codCatalogo = idArticulo.substring(uposicion+1,idArticulo.length);
        var idValor  = "#v_".concat(codArticulo).concat("|").concat(codReferencia).concat("|").concat(codCatalogo);
        var idObservacion  = "#o_".concat(codArticulo).concat("|").concat(codReferencia).concat("|").concat(codCatalogo);
        var observacion = $t(this).val();
        var detalle =[];
        var detalleO =[];
        var indice = $t.inArray(codArticulo,indice_lineas );

        if ( indice  >= 0     ){
           detalleO = lineas[indice];     
           lineas.splice (indice,1);
           indice_lineas.splice (indice,1);
        }
        detalle.push(codArticulo);
        detalle.push(detalleO[1]);
        detalle.push(observacion);
        detalle.push(codReferencia);
        detalle.push(codCatalogo);
             
        if (detalle[1] > 0) {
           lineas.push ( detalle);
           indice_lineas.push (codArticulo);
           llin = JSON.stringify(lineas);
           localStorage.setItem ("c_".concat(codArticulo),codArticulo);
           localStorage.setItem ($t(this).attr('id'),$t(this).val());
           localStorage.setItem (idObservacion, observacion);
        }    
    }); 
    $t('.cantidad').blur(function(){
//RRRR		
        if ($t(this).val() >= 0) 
        {
			
        cantidad = cantidad + $t(this).val();
           var idArticulo = $t(this).attr('id');
           var posicion = idArticulo.indexOf('|');
           var uposicion = idArticulo.lastIndexOf ('|');
           var codArticulo = idArticulo.substring(2,posicion );
           var codReferencia = idArticulo.substring(posicion+1,uposicion);
           var codCatalogo = idArticulo.substring(uposicion+1,idArticulo.length);
           var idObservacion  = "o_".concat(codArticulo).concat("|").concat(codReferencia).concat("|").concat(codCatalogo);
           var observacion = "";
           var detalle =[];
           var detalleO =[];
		   var indice = $t.inArray(codArticulo,indice_lineas );
           if ( indice  >= 0     ){
               detalleO.push( lineas[indice]);
               lineas.splice (indice,1);
               indice_lineas.splice (indice,1);
            }
           detalle.push(codArticulo);
           detalle.push($t(this).val());
           detalle.push(detalleO[2]);
           detalle.push(codReferencia);
           detalle.push(codCatalogo);
           if ($t(this).val() != 0) {
			   
             lineas.push ( detalle);
             indice_lineas.push (codArticulo);
             llin = JSON.stringify(lineas);
             localStorage.setItem ("c_".concat(codArticulo),codArticulo);
             localStorage.setItem ($t(this).attr('id'),$t(this).val());
             localStorage.setItem (idObservacion, observacion);
           }    
         } }); 
       $t('.cantidad').each (function(){
          $t(this).val(localStorage.getItem ($t(this).attr('id')));
       });

});
       function limpiaPedido()
       {
                    localStorage.clear();
       }
      
       function confirmaPedido2()
       {
		   var ahora =new Date(); 
		   
		   if ((ahora.getHours() < 10) || (ahora.getHours() == 10 && ahora.getMinutes() < 30 ) ||
		      (ahora.getHours() >= 12 && ahora.getHours()<15 )) {
            $t.ajax ({
                url: 'confirmaPedido.php',
                contentType:'application/json',
                type: 'POST',
                dataType: 'json', 
                data: JSON.stringify (lineas)
 				
            })
            .success(function (data){
				    if (data['RESP']=='NOAUTORIZA'){
					alert ("Venta no autorizada por falta de pago!");	
					}else{	
						if (data['RESP']=='CORRECTO'){
						alert ("¡Su PEDIDO ha sido registrado con éxito!, Gracias ");
						}
					}
                    })
 
            .fail(function (msg){
	            alert ('ERROR AL GUARDAR!' );
                    })
            .always(function (data){
					localStorage.clear();
                    //$("#profile").html(data);
                    $t(this).val(localStorage.getItem ($t(this).attr('id')));
                    $t.getScript ('hpedido.js');
					$t.getScript ('grabaobrador.js');		
					$t.getScript ('grabarflor.js');
					$t.getScript ('hoferta.js');					
					$t.getScript ('js/info.js');
					$t.getScript ('js/navegar.js');				
                    });
			  }else {alert ('Venta fuera de horario');  }
			  
      
        }
		function cargarHistorico ()	{
					
            $t.ajax ({
                url: 'historicoPedido.php',
                contentType:'application/json',
                type: 'POST'
 				
            })
            .success(function (data){
				$t('#hist_det').html(data);
				   })
 
            .fail(function (jqXHR, textStatus, errorThrown){
	            alert ("Error cargandoHistorico" );
				//alert(errorThrown);
                    })           ;

		}
